Bug Hunting Session
Bug 90097 - FILEOPEN: RTF drawing lines where Flip attribute is set are not mirrored
Summary: FILEOPEN: RTF drawing lines where Flip attribute is set are not mirrored
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4 target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-19 08:38 UTC by Karel Horalek
Modified: 2019-01-23 12:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer and Word result compare screenshot (30.38 KB, image/jpeg)
2015-03-19 08:38 UTC, Karel Horalek
Details
Test RTF file containig drawing with flipped elements (14.75 KB, application/rtf)
2015-03-19 08:43 UTC, Karel Horalek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karel Horalek 2015-03-19 08:38:30 UTC
Created attachment 114183 [details]
Writer and Word result compare screenshot

Some parameters of shape imported from Microsoft RTF file format are not processed.

{\sp{\sn fRelFlipH}{\sv 0}} - normal draw element
{\sp{\sn fRelFlipH}{\sv 1}} - in this case should be values of relLeft and relRight of the current draw element switched before drawing element

or

{\sp{\sn fRelFlipV}{\sv 1}} - switch relTop and relBottom values.

Excepting of this, RTF drawing import works excellently for me, thanks a lot for adding RTF drawing import, i was voting for it long time before :)
Comment 1 Karel Horalek 2015-03-19 08:43:12 UTC
Created attachment 114184 [details]
Test RTF file containig drawing with flipped elements

RTF file usable for reproduce / testing
Comment 2 Buovjaga 2015-03-21 16:45:33 UTC
Confirmed.
3.6 doesn't show anything at all. 4.2 already shows the line unflipped.

Lowered severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version 3.6.7.2 (Build ID: e183d5b)

Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 3 Buovjaga 2015-10-02 13:14:16 UTC
Please don't change the version field to newer. It says earliest affected.
Comment 4 Commit Notification 2016-04-26 09:38:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6046062719f30849cd97161c6a89d27a0b0d2a20

tdf#90097 RTF import: handle fRelFlipV property for line shapes

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2016-04-26 12:47:37 UTC
The groupshape vertical flip now works, and makes the bugdoc show up properly. If you have test documents for group shape horizontal flip, flip of non-line shapes and/or flip outside group shapes, feel free to check those as well and open bugreports for those, as the above fix is for this specific line shape + group shape + vertical flip situation only.
Comment 6 Commit Notification 2016-05-04 10:54:08 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14b212dd77799f16d538636a2fb1acc9cb850d8c&h=libreoffice-5-1

tdf#90097 RTF import: handle fRelFlipV property for line shapes

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-23 12:38:13 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a7afdcd8d191248fd143743e818aa9985b95743c%5E%21

tdf#90097 rtfimport: rewrite unit test so it run reliably

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.